> ## Documentation Index
> Fetch the complete documentation index at: https://docs.morphel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Video

> Generate a new video using a replica, text and voice



## OpenAPI

````yaml POST /v1/videos/
openapi: 3.1.0
info:
  title: Morphel API
  description: API for Morphel's video generation service
  version: 0.1.1
servers:
  - url: https://api.morphel.com
security: []
paths:
  /v1/videos/:
    post:
      tags:
        - videos-v1
      summary: Create Video
      description: Generate a new video using a replica, text and voice
      operationId: create_video_v1_videos__post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    VideoCreate:
      properties:
        avatar_id:
          type: string
          title: Avatar Id
          description: Avatar id to use for the video
        voice_id:
          type: string
          title: Voice Id
          description: Voice id to use for the video
        script:
          type: string
          title: Script
          description: Script to be spoken in the video
        title:
          type: string
          title: Title
          description: Title of the video
          examples:
            - my video
        callback_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Callback Url
          description: Callback URL for receiving status updates
      type: object
      required:
        - avatar_id
        - voice_id
        - script
        - title
      title: VideoCreate
    VideoStatus:
      properties:
        video_id:
          type: string
          title: Video Id
        status:
          type: string
          title: Status
      type: object
      required:
        - video_id
        - status
      title: VideoStatus
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````